module BaseGrid_mod
    implicit none

    type BaseGridType
        integer                  :: niz=0
    end type BaseGridType
    type(BaseGridType)           :: bg
contains

end module BaseGrid_mod